      SUBROUTINE CLEAR(CEE,IMX0,JMX0)
      implicit none
      SAVE
C     ****
C     ****     CLEAR C ARRAYS FOR STENCIL COEFFICIENTS
C     ****
C     ****     CEE WILL CONTAIN
C     ****       C0(IMX0,JMX0,10), C1(IMX1,JMX1,9), C2(IMX2,JMX2,9),
C     ****       C3(IMX3,JMX3,9), C4(IMX4,JMX4,9)
C     ****
C     ****       WHERE:
C     ****         IMX1 = (IMX0+1)/2
C     ****         JMX1 = (JMX0+1)/2
C     ****         AND SO ON
C     ****
!
! Args:
      integer,intent(in) :: imx0,jmx0
      real,intent(out) :: CEE(1)
!
! Local:
      integer :: imx,jmx,n,m,i
C     ****
C     ****     COMPUTE TOTAL SIZE OF CEE, N
C     ****
      IMX = IMX0
      JMX = JMX0
      N = 0
      DO 1 M = 1,5
        N = N+IMX*JMX
        IMX = (IMX+1)/2
        JMX = (JMX+1)/2
    1 CONTINUE
      N = 9*N+IMX0*JMX0
C     ****
C     ****     CLEAR ARRAY CEE
C     ****
      DO 2 I = 1,N
        CEE(I) = 0.
    2 CONTINUE
      RETURN
      END
